package com.agilex.healthcare.schedulingmanager.dataservice;


import com.agilex.healthcare.schedulingmanager.datalayer.appointment.AppointmentRequestInProcessDataLayer;
import com.agilex.healthcare.schedulingmanager.domain.SMAppointmentRequestInProcess;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class AppointmentRequestInProcessDataService {
	
	@Resource
    AppointmentRequestInProcessDataLayer appointmentRequestInProcessDataLayer;

	public SMAppointmentRequestInProcess fetchAppointmentRequestInProcessById(String appointmentRequestId) {
		return appointmentRequestInProcessDataLayer.fetchAppointmentRequestInProcessByAppointmentRequestId(appointmentRequestId);
	}

	public SMAppointmentRequestInProcess saveAppointmentRequestInProcess(SMAppointmentRequestInProcess SMAppointmentRequestInProcess) {
		return appointmentRequestInProcessDataLayer.saveAppointmentRequestInProcess(SMAppointmentRequestInProcess);
	}

	public void deleteAppointmentRequestInProcessById(String appointmentRequestId) {
        appointmentRequestInProcessDataLayer.deleteAppointmentRequestInProcessById(appointmentRequestId);
	}

	public void deleteAppointmentRequestInProcessByUserId(String id) {
        appointmentRequestInProcessDataLayer.deleteAppointmentRequestInProcessByUserId(id);
	}
	
}
